| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_e_prefs Struct Reference

Global Wireshark preferences structure holding all persistent configuration settings. More...

`#include <prefs.h>`

## Public Attributes
GList * | col_list
unsigned | num_cols
int | gui_toolbar_main_style
char * | gui_font_name
char * | gui_colorized_fg
char * | gui_colorized_bg
bool | gui_geometry_save_position
bool | gui_geometry_save_size
bool | gui_geometry_save_maximized
unsigned | gui_recent_df_entries_max
unsigned | gui_recent_files_count_max
unsigned | gui_fileopen_style
char * | gui_fileopen_dir
unsigned | gui_fileopen_preview
char * | gui_tlskeylog_command
bool | gui_ask_unsaved
bool | gui_autocomplete_filter
bool | gui_find_wrap
char * | gui_window_title
char * | gui_prepend_window_title
char * | gui_start_title
version_info_e | gui_version_placement
unsigned | gui_max_export_objects
unsigned | gui_max_tree_items
unsigned | gui_max_tree_depth
bool | gui_welcome_page_show_recent
layout_type_e | gui_layout_type
layout_pane_content_e | gui_layout_content_1
layout_pane_content_e | gui_layout_content_2
layout_pane_content_e | gui_layout_content_3
splitter_layout_e | gui_packet_dialog_layout
char * | gui_interfaces_hide_types
bool | gui_interfaces_show_hidden
bool | gui_interfaces_remote_display
bool | gui_io_graph_automatic_update
bool | gui_io_graph_enable_legend
bool | gui_plot_automatic_update
bool | gui_plot_enable_legend
bool | gui_plot_enable_auto_scroll
bool | gui_packet_details_show_byteview
char * | capture_device
char * | capture_devices_linktypes
char * | capture_devices_descr
char * | capture_devices_hide
char * | capture_devices_monitor_mode
char * | capture_devices_buffersize
char * | capture_devices_snaplen
char * | capture_devices_pmode
char * | capture_devices_filter
bool | capture_prom_mode
bool | capture_monitor_mode
bool | capture_pcap_ng
bool | capture_real_time
unsigned | capture_update_interval
GList * | aggregation_fields
int | aggregation_fields_num
bool | capture_no_interface_load
bool | capture_no_extcap
bool | capture_show_info
unsigned | tap_update_interval
bool | display_hidden_proto_items
bool | display_byte_fields_with_spaces
abs_time_format_e | display_abs_time_ascii
bool | enable_incomplete_dissectors_check
bool | incomplete_dissectors_check_debug
bool | strict_conversation_tracking_heuristics
int | conversation_deinterlacing_key
bool | ignore_dup_frames
unsigned | ignore_dup_frames_cache_entries
bool | filter_expressions_old
bool | cols_hide_new
bool | gui_update_enabled
software_update_channel_e | gui_update_channel
unsigned | gui_update_interval
unsigned | gui_debounce_timer
char * | saved_at_version
bool | gui_packet_list_separator
bool | gui_packet_header_column_definition
bool | gui_packet_list_hover_style
bool | gui_show_selected_packet
bool | gui_show_file_load_time
elide_mode_e | gui_packet_list_elide_mode
copy_format_e | gui_packet_list_copy_format_options_for_keyboard_shortcut
bool | gui_packet_list_copy_text_with_aligned_columns
bool | gui_packet_list_show_related
bool | gui_packet_list_show_minimap
bool | gui_packet_list_sortable
unsigned | gui_packet_list_cached_rows_max
gui_packet_list_multi_color_mode_e | gui_packet_list_multi_color_mode
unsigned | gui_packet_list_multi_color_shift_percent
bool | gui_packet_list_multi_color_details
gui_packet_list_multi_color_separator_e | gui_packet_list_multi_color_separator
unsigned | gui_decimal_places1
unsigned | gui_decimal_places2
unsigned | gui_decimal_places3
bool | gui_rtp_player_use_disk1
bool | gui_rtp_player_use_disk2
unsigned | flow_graph_max_export_items
bool | st_enable_burstinfo
bool | st_burst_showcount
unsigned | st_burst_resolution
unsigned | st_burst_windowlen
bool | st_sort_casesensitve
bool | st_sort_rng_fixorder
bool | st_sort_rng_nameonly
int | st_sort_defcolflag
bool | st_sort_defdescending
bool | st_sort_showfullname
int | st_format
bool | conv_machine_readable
bool | extcap_save_on_start

## Detailed Description

Global Wireshark preferences structure holding all persistent configuration settings.

## Member Data Documentation

## ◆ aggregation_fields

GList* _e_prefs::aggregation_fields

List of field names used for packet aggregation

## ◆ aggregation_fields_num

int _e_prefs::aggregation_fields_num

Number of entries in aggregation_fields

## ◆ capture_device

char* _e_prefs::capture_device

Name of the default capture interface

## ◆ capture_devices_buffersize

char* _e_prefs::capture_devices_buffersize

Per-interface kernel capture buffer sizes in MB (name:size pairs)

## ◆ capture_devices_descr

char* _e_prefs::capture_devices_descr

Per-interface user-defined descriptions (name:descr pairs)

## ◆ capture_devices_filter

char* _e_prefs::capture_devices_filter

Per-interface default capture filters; mostly unused, may be deprecated

## ◆ capture_devices_hide

char* _e_prefs::capture_devices_hide

Comma-separated list of interface names to hide

## ◆ capture_devices_linktypes

char* _e_prefs::capture_devices_linktypes

Per-interface link-type selections (name:linktype pairs)

## ◆ capture_devices_monitor_mode

char* _e_prefs::capture_devices_monitor_mode

Per-interface monitor mode settings (name:0/1 pairs)

## ◆ capture_devices_pmode

char* _e_prefs::capture_devices_pmode

Per-interface promiscuous mode settings (name:0/1 pairs)

## ◆ capture_devices_snaplen

char* _e_prefs::capture_devices_snaplen

Per-interface snapshot lengths in bytes (name:snaplen pairs)

## ◆ capture_monitor_mode

bool _e_prefs::capture_monitor_mode

If true, capture in monitor (RFMON) mode by default

## ◆ capture_no_extcap

bool _e_prefs::capture_no_extcap

If true, disable extcap interface discovery

## ◆ capture_no_interface_load

bool _e_prefs::capture_no_interface_load

If true, skip loading the interface list at startup

## ◆ capture_pcap_ng

bool _e_prefs::capture_pcap_ng

If true, save captures in pcapng format instead of pcap

## ◆ capture_prom_mode

bool _e_prefs::capture_prom_mode

If true, capture in promiscuous mode by default

## ◆ capture_real_time

bool _e_prefs::capture_real_time

If true, update the packet list in real time during capture

## ◆ capture_show_info

bool _e_prefs::capture_show_info

If true, show the capture information dialog during live capture

## ◆ capture_update_interval

unsigned _e_prefs::capture_update_interval

Interval in milliseconds between packet list updates during capture

## ◆ col_list

GList* _e_prefs::col_list

Ordered list of packet list column definitions

## ◆ cols_hide_new

bool _e_prefs::cols_hide_new

True if the new index-based gui.column.hide preference was loaded

## ◆ conv_machine_readable

bool _e_prefs::conv_machine_readable

If true, output conversation statistics in machine-readable format

## ◆ conversation_deinterlacing_key

int _e_prefs::conversation_deinterlacing_key

Key bitmask controlling conversation deinterlacing behavior

## ◆ display_abs_time_ascii

abs_time_format_e _e_prefs::display_abs_time_ascii

Controls ASCII rendering of absolute timestamps

## ◆ display_byte_fields_with_spaces

bool _e_prefs::display_byte_fields_with_spaces

If true, insert spaces between bytes in byte-array field display

## ◆ display_hidden_proto_items

bool _e_prefs::display_hidden_proto_items

If true, show protocol fields marked as hidden in the details tree

## ◆ enable_incomplete_dissectors_check

bool _e_prefs::enable_incomplete_dissectors_check

If true, warn when a dissector does not consume all available data

## ◆ extcap_save_on_start

bool _e_prefs::extcap_save_on_start

If true, automatically save extcap capture options at session start

## ◆ filter_expressions_old

bool _e_prefs::filter_expressions_old

True if legacy filter expression preferences were loaded from disk

## ◆ flow_graph_max_export_items

unsigned _e_prefs::flow_graph_max_export_items

Maximum number of items to include in a flow graph export

## ◆ gui_ask_unsaved

bool _e_prefs::gui_ask_unsaved

If true, prompt before discarding unsaved changes

## ◆ gui_autocomplete_filter

bool _e_prefs::gui_autocomplete_filter

If true, enable autocomplete in the display filter bar

## ◆ gui_colorized_bg

char* _e_prefs::gui_colorized_bg

Comma-separated list of background colors for the 10 colorized column slots

## ◆ gui_colorized_fg

char* _e_prefs::gui_colorized_fg

Comma-separated list of foreground colors for the 10 colorized column slots

## ◆ gui_debounce_timer

unsigned _e_prefs::gui_debounce_timer

Debounce interval in milliseconds for UI events

## ◆ gui_decimal_places1

unsigned _e_prefs::gui_decimal_places1

Number of decimal places for type-1 statistic calculations

## ◆ gui_decimal_places2

unsigned _e_prefs::gui_decimal_places2

Number of decimal places for type-2 statistic calculations

## ◆ gui_decimal_places3

unsigned _e_prefs::gui_decimal_places3

Number of decimal places for type-3 statistic calculations

## ◆ gui_fileopen_dir

char* _e_prefs::gui_fileopen_dir

Fixed directory used when gui_fileopen_style is set to fixed

## ◆ gui_fileopen_preview

unsigned _e_prefs::gui_fileopen_preview

Number of bytes to preview when browsing capture files

## ◆ gui_fileopen_style

unsigned _e_prefs::gui_fileopen_style

File open dialog style (last directory vs. fixed directory)

## ◆ gui_find_wrap

bool _e_prefs::gui_find_wrap

If true, wrap around when reaching the end of search results

## ◆ gui_font_name

char* _e_prefs::gui_font_name

Name and size of the font used in the packet list and details pane

## ◆ gui_geometry_save_maximized

bool _e_prefs::gui_geometry_save_maximized

If true, save and restore the maximized state of the main window

## ◆ gui_geometry_save_position

bool _e_prefs::gui_geometry_save_position

If true, save and restore the main window position

## ◆ gui_geometry_save_size

bool _e_prefs::gui_geometry_save_size

If true, save and restore the main window size

## ◆ gui_interfaces_hide_types

char* _e_prefs::gui_interfaces_hide_types

Comma-separated list of interface type IDs to hide in the interface list

## ◆ gui_interfaces_remote_display

bool _e_prefs::gui_interfaces_remote_display

If true, display remote capture interfaces

## ◆ gui_interfaces_show_hidden

bool _e_prefs::gui_interfaces_show_hidden

If true, show interfaces that would otherwise be hidden

## ◆ gui_io_graph_automatic_update

bool _e_prefs::gui_io_graph_automatic_update

If true, automatically update the I/O graph while capturing

## ◆ gui_io_graph_enable_legend

bool _e_prefs::gui_io_graph_enable_legend

If true, display the legend on the I/O graph

## ◆ gui_layout_content_1

layout_pane_content_e _e_prefs::gui_layout_content_1

Content assigned to layout pane 1

## ◆ gui_layout_content_2

layout_pane_content_e _e_prefs::gui_layout_content_2

Content assigned to layout pane 2

## ◆ gui_layout_content_3

layout_pane_content_e _e_prefs::gui_layout_content_3

Content assigned to layout pane 3

## ◆ gui_layout_type

layout_type_e _e_prefs::gui_layout_type

Arrangement of the summary/details/bytes panes

## ◆ gui_max_export_objects

unsigned _e_prefs::gui_max_export_objects

Maximum number of objects to show in the Export Objects dialog

## ◆ gui_max_tree_depth

unsigned _e_prefs::gui_max_tree_depth

Maximum depth to expand in the packet details tree

## ◆ gui_max_tree_items

unsigned _e_prefs::gui_max_tree_items

Maximum number of items to display in the packet details tree

## ◆ gui_packet_details_show_byteview

bool _e_prefs::gui_packet_details_show_byteview

If true, show the byte view panel alongside packet details

## ◆ gui_packet_dialog_layout

splitter_layout_e _e_prefs::gui_packet_dialog_layout

Splitter orientation in the packet detail dialog

## ◆ gui_packet_header_column_definition

bool _e_prefs::gui_packet_header_column_definition

If true, show column type descriptions in packet list header tooltips

## ◆ gui_packet_list_cached_rows_max

unsigned _e_prefs::gui_packet_list_cached_rows_max

Maximum number of packet list rows to keep in the display cache

## ◆ gui_packet_list_copy_format_options_for_keyboard_shortcut

copy_format_e _e_prefs::gui_packet_list_copy_format_options_for_keyboard_shortcut

Format used when copying rows via keyboard shortcut

## ◆ gui_packet_list_copy_text_with_aligned_columns

bool _e_prefs::gui_packet_list_copy_text_with_aligned_columns

If true, align columns with spaces when copying as text

## ◆ gui_packet_list_elide_mode

elide_mode_e _e_prefs::gui_packet_list_elide_mode

Which end of long column text is elided

## ◆ gui_packet_list_hover_style

bool _e_prefs::gui_packet_list_hover_style

If true, apply hover colorization to packet list rows

## ◆ gui_packet_list_multi_color_details

bool _e_prefs::gui_packet_list_multi_color_details

If true, show all matching color rules in the packet details tree

## ◆ gui_packet_list_multi_color_mode

gui_packet_list_multi_color_mode_e _e_prefs::gui_packet_list_multi_color_mode

Multi-color stripe display mode

## ◆ gui_packet_list_multi_color_separator

gui_packet_list_multi_color_separator_e _e_prefs::gui_packet_list_multi_color_separator

Separator style between adjacent color stripes

## ◆ gui_packet_list_multi_color_shift_percent

unsigned _e_prefs::gui_packet_list_multi_color_shift_percent

Primary color width percentage (75–95) for SHIFT_RIGHT mode

## ◆ gui_packet_list_separator

bool _e_prefs::gui_packet_list_separator

If true, draw a separator line between rows in the packet list

## ◆ gui_packet_list_show_minimap

bool _e_prefs::gui_packet_list_show_minimap

If true, show the color minimap alongside the packet list scrollbar

## ◆ gui_packet_list_show_related

bool _e_prefs::gui_packet_list_show_related

If true, highlight related packets in the packet list

## ◆ gui_packet_list_sortable

bool _e_prefs::gui_packet_list_sortable

If true, allow the packet list to be sorted by clicking column headers

## ◆ gui_plot_automatic_update

bool _e_prefs::gui_plot_automatic_update

If true, automatically update plot views while capturing

## ◆ gui_plot_enable_auto_scroll

bool _e_prefs::gui_plot_enable_auto_scroll

If true, auto-scroll plot views to follow new data

## ◆ gui_plot_enable_legend

bool _e_prefs::gui_plot_enable_legend

If true, display the legend on plot views

## ◆ gui_prepend_window_title

char* _e_prefs::gui_prepend_window_title

Custom prefix prepended to the main window title

## ◆ gui_recent_df_entries_max

unsigned _e_prefs::gui_recent_df_entries_max

Maximum number of recent display filter entries to retain

## ◆ gui_recent_files_count_max

unsigned _e_prefs::gui_recent_files_count_max

Maximum number of recently opened files to retain

## ◆ gui_rtp_player_use_disk1

bool _e_prefs::gui_rtp_player_use_disk1

If true, buffer RTP audio stream 1 to disk instead of memory

## ◆ gui_rtp_player_use_disk2

bool _e_prefs::gui_rtp_player_use_disk2

If true, buffer RTP audio stream 2 to disk instead of memory

## ◆ gui_show_file_load_time

bool _e_prefs::gui_show_file_load_time

If true, display the file load time in the status bar

## ◆ gui_show_selected_packet

bool _e_prefs::gui_show_selected_packet

If true, highlight the selected packet in all views

## ◆ gui_start_title

char* _e_prefs::gui_start_title

Title shown on the welcome screen

## ◆ gui_tlskeylog_command

char* _e_prefs::gui_tlskeylog_command

Shell command executed to retrieve a TLS key log file path

## ◆ gui_toolbar_main_style

int _e_prefs::gui_toolbar_main_style

Style of the main toolbar (icon size/text)

## ◆ gui_update_channel

software_update_channel_e _e_prefs::gui_update_channel

Update channel (stable or development)

## ◆ gui_update_enabled

bool _e_prefs::gui_update_enabled

If true, automatic update checks are enabled

## ◆ gui_update_interval

unsigned _e_prefs::gui_update_interval

Interval in seconds between automatic update checks

## ◆ gui_version_placement

version_info_e _e_prefs::gui_version_placement

Controls where version information appears in the GUI

## ◆ gui_welcome_page_show_recent

bool _e_prefs::gui_welcome_page_show_recent

If true, show recent files on the welcome page

## ◆ gui_window_title

char* _e_prefs::gui_window_title

Custom suffix appended to the main window title

## ◆ ignore_dup_frames

bool _e_prefs::ignore_dup_frames

If true, suppress display of duplicate frames

## ◆ ignore_dup_frames_cache_entries

unsigned _e_prefs::ignore_dup_frames_cache_entries

Number of frames to cache for duplicate detection

## ◆ incomplete_dissectors_check_debug

bool _e_prefs::incomplete_dissectors_check_debug

If true, emit debug output for incomplete dissector checks

## ◆ num_cols

unsigned _e_prefs::num_cols

Number of entries in col_list

## ◆ saved_at_version

char* _e_prefs::saved_at_version

Wireshark version string that last wrote the preferences file

## ◆ st_burst_resolution

unsigned _e_prefs::st_burst_resolution

Resolution of burst detection in milliseconds

## ◆ st_burst_showcount

bool _e_prefs::st_burst_showcount

If true, show burst packet count instead of burst rate

## ◆ st_burst_windowlen

unsigned _e_prefs::st_burst_windowlen

Sliding window length for burst detection in milliseconds

## ◆ st_enable_burstinfo

bool _e_prefs::st_enable_burstinfo

If true, compute and display burst information in statistics

## ◆ st_format

int _e_prefs::st_format

Output format selector for statistics text export

## ◆ st_sort_casesensitve

bool _e_prefs::st_sort_casesensitve

If true, perform case-sensitive sorting in statistics trees

## ◆ st_sort_defcolflag

int _e_prefs::st_sort_defcolflag

Default column flag used for initial statistics sort

## ◆ st_sort_defdescending

bool _e_prefs::st_sort_defdescending

If true, sort statistics in descending order by default

## ◆ st_sort_rng_fixorder

bool _e_prefs::st_sort_rng_fixorder

If true, fix the order of range-based statistics columns

## ◆ st_sort_rng_nameonly

bool _e_prefs::st_sort_rng_nameonly

If true, sort range-based statistics by name only

## ◆ st_sort_showfullname

bool _e_prefs::st_sort_showfullname

If true, display the full protocol name in statistics trees

## ◆ strict_conversation_tracking_heuristics

bool _e_prefs::strict_conversation_tracking_heuristics

If true, apply stricter heuristics for conversation tracking

## ◆ tap_update_interval

unsigned _e_prefs::tap_update_interval

Interval in milliseconds between tap/statistics view updates

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/prefs.h